curl --request PUT \
--url https://sandbox.birrpay.io/v2/api-keys/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Sandbox integration key",
"description": "Key used by our developers to integrate with the sandbox environment",
"expiration": "never"
}
'import requests
url = "https://sandbox.birrpay.io/v2/api-keys/{id}"
payload = {
"name": "Sandbox integration key",
"description": "Key used by our developers to integrate with the sandbox environment",
"expiration": "never"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Sandbox integration key',
description: 'Key used by our developers to integrate with the sandbox environment',
expiration: 'never'
})
};
fetch('https://sandbox.birrpay.io/v2/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key_id": "5hEEqkgJUyuxgSKGArHA4mWSnX",
"merchant_id": "y3oqhf46pyzuxjbcn2giaqnb44",
"name": "Sandbox integration key",
"prefix": "<string>",
"created": "2022-09-10T10:11:12Z",
"expiration": "never",
"description": "Key used by our developers to integrate with the sandbox environment"
}API Key - Update
Update information for the specified API Key.
Authorizations
Format: admin-api-key=<admin-api-key>
Admin API keys allow you to perform some privileged actions such as creating a merchant account and Connector account. This is only used during development.
Path Parameters
The unique identifier for the API Key
Body
The request body for updating an API Key.
A unique name for the API Key to help you identify it.
64"Sandbox integration key"
A description to provide more context about the API Key.
256"Key used by our developers to integrate with the sandbox environment"
never Response
API Key updated
The response body for retrieving an API Key.
The identifier for the API Key.
64"5hEEqkgJUyuxgSKGArHA4mWSnX"
The identifier for the Merchant Account.
64"y3oqhf46pyzuxjbcn2giaqnb44"
The unique name for the API Key to help you identify it.
64"Sandbox integration key"
The first few characters of the plaintext API Key to help you identify it.
64The time at which the API Key was created.
"2022-09-10T10:11:12Z"
never The description to provide more context about the API Key.
256"Key used by our developers to integrate with the sandbox environment"